@if (columnDisplay && row.data && isTextFieldInputType(row.data['inputType'])) {
  <div class="full-width full-height flex-row">
    <sqtm-core-editable-text-field
      #editableTextFieldComponent
      style="margin: auto 0 auto 0"
      [layout]="'no-buttons'"
      class="full-width"
      [size]="'small'"
      [value]="getValue()"
      [validators]="getValidators()"
      (confirmEvent)="change($event)"
      (validatorErrorEvent)="formErrors($event)"
    >
    </sqtm-core-editable-text-field>
  </div>
} @else {
  <div
    class="full-width full-height container"
    [class.disabled-row]="row.disabled"
    [attr.data-test-item-id]="'select-option=' + row.data.id"
    [class.container-interactive]="true"
    [class.editable]="true"
    (click)="this.showList(optionNameElementRef, templatePortalContent)"
  >
    <span
      #optionName
      class="text-ellipsis m-auto-0"
      nz-tooltip
      [sqtmCoreLabelTooltip]="cellText()"
    >
      {{ cellText() }}
    </span>
    <ng-template #templatePortalContent>
      <sqtm-core-list-panel
        [selectedItem]="row.data[columnDisplay.id]"
        (itemSelectionChanged)="change($event)"
        [items]="getPanelItems()"
      >
      </sqtm-core-list-panel>
    </ng-template>
    <i
      class="caret-icon flex-fixed-size"
      nz-icon
      nzType="caret-down"
      nzTheme="outline"
    ></i>
  </div>
}
